Skip to main content
GET
Get pre recorded jobs based on query parameters

Authorizations

x-gladia-key
string
header
required

Your personal Gladia API key

Query Parameters

offset
integer
default:0

The starting point for pagination. A value of 0 starts from the first item.

Required range: x >= 0
limit
integer
default:20

The maximum number of items to return. Useful for pagination and controlling data payload size.

Required range: x >= 1
date
string<date-time>

Filter items relevant to a specific date in ISO format (YYYY-MM-DD).

Example:

"2026-07-10"

before_date
string<date-time>

Include items that occurred before the specified date in ISO format.

Example:

"2026-07-10T13:51:13.339Z"

after_date
string<date-time>

Filter for items after the specified date. Use with before_date for a range. Date in ISO format.

Example:

"2026-07-10T13:51:13.339Z"

status
enum<string>[]

Filter the list based on item status. Accepts multiple values from the predefined list.

Available options:
queued,
processing,
done,
error
Example:
custom_metadata
object
Example:

Response

A list of pre recorded jobs matching the parameters.

first
string<uri>
required

URL to fetch the first page

Example:

"https://api.gladia.io/v2/transcription?status=done&offset=0&limit=20"

current
string<uri>
required

URL to fetch the current page

Example:

"https://api.gladia.io/v2/transcription?status=done&offset=0&limit=20"

next
string<uri> | null
required

URL to fetch the next page

Example:

"https://api.gladia.io/v2/transcription?status=done&offset=20&limit=20"

items
object[]
required

List of pre-recorded transcriptions